package java.awt;

/** Believed to be complete, but toString() output format has not been
    compared to Sun implementation. */
public class Insets implements Cloneable, java.io.Serializable {
    public int top;
    public int left;
    public int bottom;
    public int right;

    public Insets(int top, int left, int bottom, int right) {
	this.top = top;
	this.left = left;
	this.bottom = bottom;
	this.right = right;
    }

    public java.lang.Object clone() {
	return (Insets) super.clone();
    }

    public boolean equals(Object other) {
	if (other instanceof Insets) {
	    Insets o = (Insets) other;
	    return
		(top    == o.top   ) &&
		(left   == o.left  ) &&
		(bottom == o.bottom) &&
		(right  == o.right );
	} else {
	    return false;
	}
    }

    public String toString() {
	return "+" + left + "+" + top + "-" + left + "-" + bottom;
    }
}
