package no.rwr.awt.x;
import java.awt.FontMetrics;



public class XFontMetrics extends FontMetrics {
    no.rwr.x.Font xfont;

    public XFontMetrics(no.rwr.x.Font xfont, java.awt.Font awtFont) {
	super(awtFont);
	this.xfont = xfont;
    }

    public int getAscent() {
	return xfont.getAscent();
    }

    public int getDescent() {
	return xfont.getDescent();
    }

    public int getMaxAscent() {
	return xfont.getMaxAscent();
    }
 
    public int getMaxDescent() {
	return xfont.getMaxDescent();
    }

    public int stringWidth(String str) {
	return xfont.getStringWidth(str);
    }


}
