import java.awt.event.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;

public class ImageTest extends Canvas {
    public static void main(String[] args) {
	Frame frame = new Frame("Image testing");
	
	ImageTest instance = new ImageTest();
	
	frame.add(instance);
	frame.pack();
	frame.setVisible(true);
    }

    public Dimension getPreferredSize() {
	return new Dimension(256, 256);
    }

    BufferedImage img;



    void initImage() {
	img = (BufferedImage) createImage(256, 256);

	for (int x=0; x<256; x++)
	    for (int y=0; y<256; y++) {

		int v = (int) (Math.sin(x/5F)*63+ (Math.cos(y/5F))*63 +128);
		int vv = (x<<16) | (y<<8) | v;
		img.setRGB(x, y, vv);
	    }
    }

    public void paint(Graphics gfx) {
	if (img == null) initImage();

	//long t1 = System.currentTimeMillis();
	gfx.drawImage(img, 0, 0, this);
	//long t2 = System.currentTimeMillis();
	//System.out.println("drew in " + (t2-t1) + " millis");
    }
}
