package javax.swing;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.io.Serializable;
import javax.swing.plaf.*;


public class JButton extends AbstractButton {
    

    public JButton() {
	init();
    }

    public JButton(String text) {
	setText(text);
	init();
    }

    // Standard type overriding:

    public void updateUI() {
	setUI((ButtonUI) UIManager.getUI(this));
    }
    public String getUIClassID() {
	return "ButtonUI";
    }
    public ButtonUI getUI() {
	return (ButtonUI) ui;
    }
    public void setUI(ButtonUI ui) {
	super.setUI((ComponentUI) ui);
    }



}
